Get Closed Positions For A User
Returns cached exits for a wallet with filtering, sorting, and pagination
GET
user*stringWallet address whose positions should be returned.
market?array<>Comma-separated list of condition IDs.
title?stringSubstring search against market title (max 100 chars).
Length
length <= 100limit?integerMaximum number of rows to return (max 50).
Range
0 <= value <= 50Default
10offset?integerCursor offset for pagination (max 100,000).
Range
0 <= value <= 100000Default
0sortBy?stringSort column.
Default
"REALIZEDPNL"Value in
"REALIZEDPNL""TITLE""PRICE""AVGPRICE""TIMESTAMP"sortDirection?stringSort direction.
Default
"DESC"Value in
"ASC""DESC"Closed positions were found.
application/json- response
[index: integer]?curl -X GET 'https://data-api.kuest.com/closed-positions?user=0x56687bf447db6ffa42ffe2204a05edaa20f55839'[ { "proxyWallet": "0x56687bF447db6fFa42FfE2204a05edAa20f55839", "asset": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917:0", "conditionId": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917", "size": 610.2, "avgPrice": 0.39, "initialValue": 237.98, "currentValue": 0, "cashPnl": 418.56, "totalBought": 1120.4, "realizedPnl": 418.56, "percentPnl": 37.35, "percentRealizedPnl": 37.35, "curPrice": 0.68, "redeemable": false, "mergeable": false, "title": "Will the Fed cut rates in September?", "slug": "fed-rate-cut-sep-2024", "icon": "https://cdn.domain.com/markets/fed.png", "eventSlug": "fomc-2024-policy", "outcome": "Yes", "outcomeIndex": 0, "oppositeOutcome": "No", "oppositeAsset": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917:1", "timestamp": 1718121600, "endDate": "2024-09-18T18:00:00Z" }, { "proxyWallet": "0x56687bF447db6fFa42FfE2204a05edAa20f55839", "asset": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5:1", "conditionId": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5", "size": 980.5, "avgPrice": 0.47, "initialValue": 460.84, "currentValue": 0, "cashPnl": 512.91, "totalBought": 1685.75, "realizedPnl": 512.91, "percentPnl": 30.43, "percentRealizedPnl": 30.43, "curPrice": 0.9, "redeemable": false, "mergeable": false, "title": "Will turnout exceed 60% in the French election?", "slug": "france-turnout-60", "icon": "https://cdn.domain.com/markets/france-election.png", "eventSlug": "french-presidential-2024", "outcome": "No", "outcomeIndex": 1, "oppositeOutcome": "Yes", "oppositeAsset": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5:0", "timestamp": 1715668800, "endDate": "2024-07-07T20:00:00Z" }]